Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
PHPUnitとPHPのバージョン対応表
PHPUnitのバージョン 対応するPHPのバージョン PHPUnit Doc pharファイル ※DBUnit
3.7 5.3.3 以降 doc phpunit-3.7.38.phar
4.0 5.3.3 以降 doc phpunit-4.0.20.phar
4.1 5.3.3 以降 doc phpunit-4.1.6.phar
4.2 5.3.3 以降 doc phpunit-4.2.6.phar
4.3 5.3.3 以降 doc phpunit-4.3.5.phar
4.4 5.3.3 以降 doc phpunit-4.4.5.phar
4.5 5.3.3 以降 doc phpunit-4.5.1.phar
4.6 5.3.3 以降 doc phpunit-4.6.10.phar
4.7 5.3.3 以降 doc phpunit-4.7.7.phar
4.8 5.3.3 以降 doc phpunit-4.8.36.phar
5.0 5.6 以降 doc phpunit-5.0.10.phar
5.1 5.6 以降 doc phpunit-5.1.7.phar
5.2 5.6 以降 doc phpunit-5.2.12.phar
5.3 5.6 以降 doc phpunit-5.3.5.phar
5.4 5.6 以降 doc phpunit-5.4.8.phar
5.5 5.6 以降 doc phpunit-5.5.10.phar
5.6 5.6 以降 doc phpunit-5.6.8.phar
5.7 5.6 以降 doc phpunit-5.7.21.phar ×
6.0 7.0 以降 doc phpunit-6.0.13.phar ×
6.1 7.0 以降 doc phpunit-6.1.4.phar ×
6.2 7.0 以降 doc phpunit-6.2.4.phar ×
6.3 (stable) 7.0 以降 doc phpunit-6.3.0.phar ×
※DBUnit
  • pharファイルにDBUnitが含まれていれば ○ としています
  • 5.7以降、pharファイルにDBUnitは含まれていないので、必要であれば別途Composerなどでインストールをします
$ composer require --dev phpunit/dbunit
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.